{% extends "dashboard/dashboard_content.html" %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_create_semester_plan %}
        <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fi-clipboard-pencil"></i>
                Current Semester Plan
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
        <div class="row">

        <ul class="nav nav-tabs bar_tabs">
            {% for section in all_sections %}
                {% if forloop.counter == 1 %}
                    <li {% if selected_section == section.department_section_instance.pk %}class="active" {% else %}
                        class="" {% endif %}>
                        <a aria-expanded="true"
                           id={{ section.department_section_instance.pk }}
                                   data-toggle="tab" name="batch_tab">
                            {{ section.display_text }}

                        </a>
                    </li>
                {% else %}
                    <li {% if selected_section == section.department_section_instance.pk %}class="active" {% else %}
                        class="" {% endif %}>
                        <a aria-expanded="false"
                           id={{ section.department_section_instance.pk }}
                                   data-toggle="tab" name="batch_tab">
                            {{ section.display_text }}
                        </a>
                    </li>
                {% endif %}
            {% endfor %}
        </ul>
        <br>
        <br>
        <div class="tab-content">
        <form method="POST">{% csrf_token %}
            <input type="hidden" name="chosen_section_from_select_department"
                   value="{{ selected_section }}">
            <div style="text-align: center; border: ridge">
                <h4 class="text-info"> Available Departments </h4>
                {% for department in available_departments %}
                    <input id="{{ department.acronym }}" onchange="this.form.submit()"
                           type="checkbox" name="select_department" value="{{ department.dept_id }}"
                            {% if department.dept_id in selected_departments %}
                           checked
                            {% endif %}
                            {% if department.dept_id == current_department %}
                           hidden
                            {% endif %}
                    >
                    {% if department.dept_id == current_department %}
                        <i class="fa fa-check"></i>
                    {% endif %}
                    {{ department.acronym }}
                {% endfor %}
            </div>
        </form>
        <br><br>
        <div role="tabpanel">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <form method="POST" class="form-horizontal" id="create_semester">
                    {% csrf_token %}
                    <div class="form-group">
                        <input type="hidden" name="selected_tab" value="{{ selected_section }}">
                        <label class="col-md-4 col-sm-3 control-label"> {{ course.text }}
                            Current Faculty Advisors
                        </label>
                        <div class="col-md-4 col-sm-4 col-xs-12">&nbsp;
                            <select class="selectpicker" name="choosen_faculty_advisors"
                                    multiple title="Not Alloted" data-live-search="true"
                            >
                                {% for staff in list_of_staffs %}
                                    {% if staff.id in faculty_advisors_list %}
                                        <option value="{{ staff.id }}" selected="selected"
                                                data-subtext="{{ staff.designation }}">{{ staff.staff_name }}</option>
                                    {% else %}
                                        <option value="{{ staff.id }}"
                                                data-subtext="{{ staff.designation }}">{{ staff.staff_name }}</option>
                                    {% endif %}
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                            1 Starting Date</label>
                        <div class="col-md-5 col-sm-6 col-xs-12">
                            <input type="text" id="sd1" placeholder="Click to choose a date"
                                   name="start_term_1" class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                            1 Ending Date</label>
                        <div class="col-md-5 col-sm-6 col-xs-12">
                            <input type="text" id="ed1" placeholder="Click to choose a date"
                                   name="end_term_1" class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                            2 Starting Date</label>
                        <div class="col-md-5 col-sm-6 col-xs-12">
                            <input type="text" id="sd2" placeholder="Click to choose a date"
                                   name="start_term_2" class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                            2 Ending Date</label>
                        <div class="col-md-5 col-sm-6 col-xs-12">
                            <input type="text" id="ed2" placeholder="Click to choose a date"
                                   name="end_term_2" class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                            3 Starting Date</label>
                        <div class="col-md-5 col-sm-6 col-xs-12">
                            <input type="text" id="sd3" placeholder="Click to choose a date"
                                   name="start_term_3" class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Term
                            3 Ending Date</label>
                        <div class="col-md-5 col-sm-6 col-xs-12">
                            <input type="text" id="ed3" placeholder="Click to choose a date"
                                   name="end_term_3" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">No. of Open Electives can opt</label>
                        <div class="col-md-5 col-sm-6 col-xs-12">
                            <input type="number" id="openElective" placeholder="No. of Open Elective can opt for this semester"
                                   name="openElectiveCourse" class="form-control" min="0" max="3" required>
                        </div>
                    </div>

                    <div class="col-sm-2 col-sm-offset-5">
                        <button class="save btn btn-lg btn-success" name="semester_plan"
                                value="semester_plan" id="reg_btn">Submit
                        </button>
                    </div>
                </form>
            </div>
        </div>
    {% endif %}
</div>
</div>
</div>
</div>

    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>

    <script type="text/javascript">
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="batch_tab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_section_tab'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });
    </script>
    <script type="text/javascript">
        $(function () {
            $('#sd1').daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'DD/MM/YYYY'
                },
            });
            $('#sd2').daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'DD/MM/YYYY'
                }
            });
            $('#sd3').daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'DD/MM/YYYY'
                }
            });
            $('#ed1').daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'DD/MM/YYYY'
                }
            });
            $('#ed2').daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'DD/MM/YYYY'
                }
            });
            $('#ed3').daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'DD/MM/YYYY'
                }
            });
        });
    </script>
    <script type="text/javascript">
        $('document').ready(function () {
            $('#sd1').val('{{ semester_plan_dates.start_term_1 }}');
            $('#sd2').val('{{ semester_plan_dates.start_term_2 }}');
            $('#sd3').val('{{ semester_plan_dates.start_term_3 }}');
            $('#ed1').val('{{ semester_plan_dates.end_term_1 }}');
            $('#ed2').val('{{ semester_plan_dates.end_term_2}}');
            $('#ed3').val('{{ semester_plan_dates.end_term_3 }}');
            $('#openElective').val('{{ semester_plan_dates.openElective }}');
        });
    </script>
{% endblock %}